Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.crd
Class CompletedCRDInfo

    java.lang.Object
      jet.server.api.crd.CompletedCRDInfo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CompletedCubeInfo

    public class CompletedCRDInfo

extends java.lang.Object
implements java.io.Serializable

The class is java bean for completed CRD (cashed report data) information, used to wrap completed CRD information.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getCatalogName()` Gets catalog name of CRD query related.
`java.lang.String` | `getCatalogPath()` Gets catalog path of CRD query related.
`java.util.Date` | `getCompletedTime()` Gets the time to finish generating the CRD result.
`CRDInfo` | `getCrdInfo()` Gets CRD information.
`java.lang.String` | `getDataSource()` Gets data source of CRD query related.
`int` | `getId()` Gets id of CRD.
`java.util.Date` | `getLastModified()` Gets last modified of CRD catalog.
`java.lang.String` | `getParamFile()` Gets parameter file of result.
`java.lang.String` | `getPassword()` Gets password or data source.
`java.lang.String` | `getQueryName()` Gets query name of CRD related.
`int` | `getQueryType()` Gets query type of CRD related.
`java.util.Date` | `getStartTime()` Gets the time to start generating the CRD result.
`java.lang.String` | `getUserName()` Gets user name of data source.
`boolean` | `isLazy()` Checks whether is lazy.
`boolean` | `isSuccess()` Checks whether CRD result is generated successfully.
`java.lang.String` | `toString()` Converts CompletedCRDInfo object to string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCrdInfo

    public CRDInfo getCrdInfo()

  Gets CRD information.

  Returns:
    `CRDInfo` object.

### getStartTime

    public java.util.Date getStartTime()

  Gets the time to start generating the CRD result.

  Returns:
    the time to start generating the CRD result.

### getCompletedTime

    public java.util.Date getCompletedTime()

  Gets the time to finish generating the CRD result.

  Returns:
    the time to finish generating the CRD result.

### isSuccess

    public boolean isSuccess()

  Checks whether CRD result is generated successfully.

  Returns:
    return true which indicates success, otherwise failure.

### getCatalogName

    public java.lang.String getCatalogName()

  Gets catalog name of CRD query related.

  Returns:
    catalog name.

### getCatalogPath

    public java.lang.String getCatalogPath()

  Gets catalog path of CRD query related.

  Returns:
    catalog path.

### getDataSource

    public java.lang.String getDataSource()

  Gets data source of CRD query related.

  Returns:
    data source.

### getLastModified

    public java.util.Date getLastModified()

  Gets last modified of CRD catalog.

  Returns:
    last modified.

### getParamFile

    public java.lang.String getParamFile()

  Gets parameter file of result.

  Returns:
    parameter file.

### getPassword

    public java.lang.String getPassword()

  Gets password or data source.

  Returns:
    password.

### getQueryName

    public java.lang.String getQueryName()

  Gets query name of CRD related.

  Returns:
    query name.

### getQueryType

    public int getQueryType()

  Gets query type of CRD related.

  Returns:
    query type.

### getUserName

    public java.lang.String getUserName()

  Gets user name of data source.

  Returns:
    user name.

### isLazy

    public boolean isLazy()

  Checks whether is lazy.

  Returns:
    lazy.

### toString

    public java.lang.String toString()

  Converts CompletedCRDInfo object to string.

  Overrides:
    `toString` in class `java.lang.Object`

### getId

    public int getId()

  Gets id of CRD.

  Returns:
    id of CRD.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD